<template>
	<view class="" :style="$store.state.theme.currentMoban">
		<view >
			 <video id="myVideo" :src='urlMP4' 
			 show-mute-btn='true' @fullscreenchange='changvideo'
			 vslide-gesture-in-fullscreen='true' :muted='muted'
			 @error="videoErrorCallback"  enable-danmu  controls  autoplay="true"
			 class="videotop"></video>  
		</view>
		<view class="p20">
			<view class="fs36">倍力优牧场</view>
			<view class="fs24 color9">时间：2024.12.5</view>
			<view class="mt20 fs32 mb20 ">介绍</view>
			<view class="fs24">倍力优(北京)健康产业科技有限公司，
			成立于2018年4月25日，总部位于北京，旗下拥有福州、太原、长治、呼和浩特
			四家健康服务平台，以及多家实体店。公司专注于研发、生产和销售优质的羊乳制品。
			 多年来，公司不断提升产品的营养
			、口味及包装，并推出多款高端功能性产品，丰富产品组合。</view>
		</view>
		<view>
			<image src="https://beiliyo-2025.obs.cn-north-4.myhuaweicloud.com/fs/20250115/1736927987564.jpg" style="width: 100%;" 
			mode="widthFix"></image>
		</view>
		<view class="comedetail">
			回顾往年精彩瞬间
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				autoplaymp:true,
				urlMP4:'',
				muted:true,
			}
		},
		mounted() {
			this.urlMP4=uni.getStorageSync('enterpriseurl')
		},
		methods: {
			changvideo(e){
				if(e.target.fullScreen==true){
					this.muted=false
				}else{
					this.muted=true
				}
				e.target.fullScreen
			},
			videoErrorCallback(){
				
			}
		}
	}
</script>

<style lang="scss" scoped>
.videotop{
	width: 100%;
}
.comedetail{
	background-color: #018C39;
	width: 80%;
	height: 60rpx;
	color: #fff;
	margin: 0 auto;
	text-align: center;
	line-height: 60rpx;
	border-radius: 60rpx;
	margin-top: 30rpx;
}
</style>
